net.minecraft.tileentity

## Class TileEntityMobSpawner

- java.lang.Object
- - net.minecraft.tileentity.TileEntity
  - - net.minecraft.tileentity.TileEntityMobSpawner

-     public class TileEntityMobSpawner
      extends TileEntity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.tileentity.TileEntity

      `blockMetadata, blockType, INFINITE_EXTENT_AABB, worldObj, xCoord, yCoord, zCoord`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TileEntityMobSpawner()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Packet` | `getDescriptionPacket()` Overriden in a sign to provide the text.
    `MobSpawnerBaseLogic` | `getSpawnerLogic()` Returns the spawner logic associated with this spawner
    `void` | `readFromNBT(NBTTagCompound par1NBTTagCompound)` Reads a tile entity from NBT.
    `boolean` | `receiveClientEvent(int par1, int par2)` Called when a client event is received with the event number and argument, see World.sendClientEvent
    `void` | `updateEntity()` Allows the entity to update its state.
    `void` | `writeToNBT(NBTTagCompound par1NBTTagCompound)` Writes a tile entity to NBT.

    - ### Methods inherited from class net.minecraft.tileentity.TileEntity

      `addMapping, canUpdate, createAndLoadEntity, func_85027_a, getBlockMetadata, getBlockType, getDistanceFrom, getMaxRenderDistanceSquared, getRenderBoundingBox, getWorldObj, hasWorldObj, invalidate, isInvalid, onChunkUnload, onDataPacket, onInventoryChanged, setWorldObj, shouldRefresh, shouldRenderInPass, updateContainingBlockInfo, validate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TileEntityMobSpawner

          public TileEntityMobSpawner()

  - ### Method Detail

    - #### readFromNBT

          public void readFromNBT(NBTTagCompound par1NBTTagCompound)

      Reads a tile entity from NBT.
      Overrides:
        `readFromNBT` in class `TileEntity`

    - #### writeToNBT

          public void writeToNBT(NBTTagCompound par1NBTTagCompound)

      Writes a tile entity to NBT.
      Overrides:
        `writeToNBT` in class `TileEntity`

    - #### updateEntity

          public void updateEntity()

      Allows the entity to update its state. Overridden in most subclasses, e.g. the mob spawner uses this to count ticks and creates a new spawn inside its implementation.
      Overrides:
        `updateEntity` in class `TileEntity`

    - #### getDescriptionPacket

          public Packet getDescriptionPacket()

      Overriden in a sign to provide the text.
      Overrides:
        `getDescriptionPacket` in class `TileEntity`

    - #### receiveClientEvent

          public boolean receiveClientEvent(int par1,
                                   int par2)

      Called when a client event is received with the event number and argument, see World.sendClientEvent
      Overrides:
        `receiveClientEvent` in class `TileEntity`

    - #### getSpawnerLogic

          public MobSpawnerBaseLogic getSpawnerLogic()

      Returns the spawner logic associated with this spawner